@import url("icons/icomoon/style.css");

:root {
    /* fallback vars */
    --font-h1: sans-serif;
    --font-size-h1: 62px;
    --font-h2: sans-serif;
    --font-size-h2: 62px;
    --font-h3: sans-serif;
    --font-size-h3: 52px;
    --font-h4: sans-serif;
    --font-size-h4: 42px;
    --font-h5: sans-serif;
    --font-size-h5: 32px;
    --font-h6: sans-serif;
    --font-size-h6: 28px;
    --font-regular: sans-serif;
    --font-size-regular: 20px;
    --color-main: #19222a;
    --color-button: rgb(0,0,0);
    --color-hover: rgb(113,113,113);
    --color-heading: #000;
    --color-header: rgba(0,0,0,0.72);
    --color-menu-bgr: rgb(21,21,21);
    --color-boxes-bgr-overlay: #000;
    --color-section-bgr: rgb(244,245,250);
    --color-link: #133f62;
    --color-custom-text: #19222a;
    --color-overlay-slide : #000;
    --sidemenu-main-link-color : #19222a;
    --sidemenu-main-link-hover-color: #a6a4a2;
    /* End fallback vars */

    --font-icons: "icomoon";
    --root-font-size: 10px;
    --color-black: #000;
    --primary-color: #31AEE2;
    --secondary-color: #1897CC;
    --color-border-spacer: #081727;
    --font-medium: 'Figtree-Medium', sans-serif;
    --font-light: 'Figtree-Light', sans-serif;
    --font-semibold: 'Figtree-SemiBold', sans-serif;
}

/* GENERAL / BASE */
html {
    font-size: var(--root-font-size);
}

address {
    font-style: normal;
}

body {
    display: flex;
    flex-direction: column;
    font-family: var(--font-regular);
    font-size: 2rem;
    line-height: 1.4em;
    color: var(--color-main);
}
a:not(.button, .dark, .white, .color-link, .light, .clear-link-style) {
    color: var(--color-link);
    transition: color .25s;
    text-decoration: none;
}
a:not(.button, .dark, .white, .color-link, .light, .clear-link-style, .anchor-menu-elem):is(:hover, :focus) {
    text-decoration: none;
    color: var(--color-hover);
}
button, .button {
    position: relative;
    display: inline-block;
    font-family: var(--font-regular);
    font-size: 2rem;
    line-height: 1.4em;
    letter-spacing: 4px;
    color: var(--color-button);
    border: 1px solid var(--color-button);
    padding: 20px 67px 16px 68px;
    border-radius: 6px;
    text-transform: uppercase;
    text-decoration: none;
    cursor: pointer;
    transition: color .25s, background-color .25s, border-color .25s;
}

.button.regular-link {
    padding: 0 20px;
    background-color: transparent;
    color: var(--color-link);
    border: none;
    letter-spacing: 4px;
    text-transform: uppercase;
    transition: color .25s, transform .25s;
}
.regular-link::before {
    content: '\e903';
    position: absolute;
    top: 0;
    right: 0;
    font-family: var(--font-icons);
    font-size: 1.4rem;
    margin-right: 0;
    vertical-align: middle;
}
.regular-link:is(:hover, :focus) {
    color: var(--color-hover);
    text-decoration: none;
}
.button.dark {
    background-color: var(--color-button);
    color: #fff;
    border-color: transparent;
    transition: color .25s, background-color .25s;
}
.button.white {
    background-color: #fff;
    border-color: transparent;
    transition: color .25s, background-color .25s;
}
.button.color-link {
    background-color: transparent;
    border-color: var(--color-link);
    color: var(--color-link);
    transition: color .25s, background-color .25s;
}

button:is(:hover, :focus),
.button:not(.regular-link, .arrow):is(:hover, :focus) {
    background-color: var(--color-hover);
    color: #fff;
    text-decoration: none;
    border-color: transparent;
}
.button.arrow {
    padding: 8px 5px 4px 5px;
    line-height: 4.8rem;
    border: none;
    color: var(--color-button);
    background-color: transparent;
    transition: color .25s;
}
.button.arrow::after {
    content: '\e90f';
    display: inline-block;
    font-family: var(--font-icons);
    color: #FFF;
    background-color: var(--color-button);
    font-size: 2.5rem;
    line-height: 5.4rem;
    text-align: center;
    margin-left: 27px;
    width: 54px;
    height: 54px;
    border-radius: 50%;
    transition: background-color .25s, box-shadow .25s, color .25s;
    box-shadow: rgba(113, 113, 113, 0.1) 0px 0px 0px 0px;
}
.button.arrow:is(:hover, :focus) {
    text-decoration: none;
    color: var(--color-hover);
}
.button.arrow:is(:hover, :focus)::after {
    text-decoration: none;
    background-color: var(--color-hover);
    box-shadow: rgba(113, 113, 113, 0.1) 0px 0px 0px 16px; 
}

.color-custom {
    color: var(--color-custom-text);
}

ul, ol {
    margin-top: 0;
    margin-bottom: 2.15em;
}

ol li {
    margin-bottom: 8px;
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    color: var(--color-heading);
}
h1, .h1 {
    font-family: var(--font-h1);
    font-weight: normal;
    font-size: var(--font-size-h1);
    line-height: calc(var(--font-size-h1) + 10px);
    letter-spacing: -0.62px;
    margin: 0 0 3.6rem 0;
}
h2, .h2 {
    font-family: var(--font-h2);
    font-size: var(--font-size-h2);
    line-height: calc(var(--font-size-h2) + 10px);
    letter-spacing: -0.5px;
    font-weight: normal;
    margin: 0 0 1.8rem 0;
}
h3, .h3 {
    font-family: var(--font-h3);
    font-size: var(--font-size-h3);
    line-height: calc(var(--font-size-h3) + 10px);
    letter-spacing: -0.84px;
    font-weight: normal;
    margin: 0 0 1.9rem 0;
}
h4, .h4 {
    font-family: var(--font-h4);
    font-size: var(--font-size-h4);
    line-height: calc(var(--font-size-h4) + 10px);
    font-weight: normal;
    margin: 0 0 1.9rem 0;
}
h5, .h5 {
    font-family: var(--font-h5);
    font-size: var(--font-size-h5);
    line-height: calc(var(--font-size-h5) + 8px);
    letter-spacing: 0.56px;
    font-weight: normal;
    margin: 0 0 1.6rem 0;
    transition: color 0.25s;
}
h6, .h6 {
    font-family: var(--font-h6);
    font-size: var(--font-size-h6);
    line-height: calc(var(--font-size-h6) + 6px);
    font-weight: normal;
    margin: 0 0 1.9rem 0;
}
p {
    margin-top: 0;
    margin-bottom: 2.5rem;
    font-family: var(--font-regular);
    font-size: var(--font-size-regular);
    line-height: calc(var(--font-size-regular) + 8px);
}

img.rounded-image {
    border-radius: 20px;
}
img.rounded-image-shadow {
    border-radius: 50%;
    border: 21px solid rgba(246, 247, 250, 1);
    box-sizing: border-box;
}
img.border-image {
    border: 1px solid #e2e2e2;
}
hr {
    border: 1px solid #E0E0E0;
    margin: 85px 0;
}

hr:is(.small) {
    margin: 45px 0;
}

blockquote {
    position: relative;
    font-size: 2.6rem;
    line-height: 1.307em;
    letter-spacing: 0.52px;
    margin: 80px 0 40px 0;
    padding: 64px 42px 42px 42px;
    border: 4px solid #DEDEDE;
    border-radius: 8px;
}

blockquote:before,
blockquote:after {
    position: absolute;
    top: 0;
    background: #FFF;
    color: var(--color-button);
    border-radius: 50%;
    box-shadow: 0px 10px 20px #00000029;
    transform: translateY(-50%);
}

blockquote:before {
    content: '';
    left: 32px;
    width: 102px;
    height: 102px;
    box-shadow: 0px 10px 20px #00000029;
    transform: translateY(-50%);
    opacity: 0.3;
}

blockquote:after {
    content: '\e970';
    display: flex;
    justify-content: center;
    align-items: center;
    left: 42px;
    width: 82px;
    height: 82px;
    font-family: var(--font-icons) !important;
    font-size: 42px;
}

blockquote :last-child {
    margin-bottom: 0;
}

table.clear-style-table tr > :last-child {
    padding-left: 15px;
}
table:not(.block-info-table) {
    border: none;
}
table:not(.block-info-table, .colored-table, .clear-style-table) td {
    padding: 10px 5px;
}
table:not(.block-info-table, .colored-table, .clear-style-table) tr:not(:last-child) {
    border-bottom: 1px solid #DEE0E8;
}
table:not(.block-info-table, .colored-table, .clear-style-table) tr td:first-child {
    width: 30% !important;
    color: #717171;
}
table.colored-table td {
    padding: 10px 12px;
    border: none;
}
table.colored-table tr td:first-child {
    width: 15% !important;
}

table.colored-table tr:nth-child(odd) {
    background-color: rgba(231,243,248, 0.7);
    border-radius: 4px;
}

table.colored-table tr:nth-child(even) {
    background-color: #fff;
}

table.colored-table tr:nth-child(even):last-child {
    border-bottom: 2px solid rgba(231,243,248, 0.7);
}

table.colored-table tr:nth-child(odd) td:first-child {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

table.colored-table tr:nth-child(odd) td:last-child {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

ul {
    margin: 0;
    margin-bottom: 2.5rem;
    padding-left: 17px;
}

ul li {
    margin-bottom: 10px;
}

ul.arrow-list {
    padding-left: 0;
    list-style: none;
}

ul.arrow-list li {
    position: relative;
    padding-left: 38px;
}

ul.arrow-list li:before {
    content: '\e911';
    position: absolute;
    left: 0;
    font-family: var(--font-icons) !important;
    font-size: 2.2rem;
}

ul li:first-child {
    padding-top: 0;
}

ul li:last-child {
    padding-bottom: 0;
}

ul.check-list {
    padding-left: 0;
    list-style: none;
}

ul.check-list li {
    position: relative;
    padding: 12px 0 4px 61px;
}

ul.check-list li:not(:last-child) {
    margin-bottom: 7px;
}

ul.check-list li::before {
    content: '\e96f';
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    background: #FFF;
    color: var(--primary-color);
    border: 1px solid #E5E5E5;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    padding: 0;
    font-family: var(--font-icons) !important;
    font-size: 1.8rem;
}

ul.check-list-regular {
    padding-left: 0;
    list-style: none;
}

ul.check-list-regular li {
    position: relative;
    padding: 12px 0 8px 39px;
    margin: 0;
}

ul.check-list-regular li:not(:last-child) {
    margin-bottom: 7px;
}
ul.check-list-regular li:before {
    content: '\e96f';
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 16px;
    left: 0;
    padding: 0;
    font-family: var(--font-icons) !important;
    color: var(--primary-color);
    font-size: 2.2rem;
    line-height: 2.2rem;
}


ul.check-list-border {
    padding-left: 0;
    list-style: none;
}

ul.check-list-border li {
    position: relative;
    padding: 13px 0 13px 39px;
    margin: 0;
    border-top: 1px solid #DEDEDE;
    border-bottom: 1px solid transparent;
}
ul.check-list-border li:last-child {
    border-bottom: 1px solid #DEDEDE;
}

ul.check-list-border li:before {
    content: '\e96f';
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 16px;
    left: 0;
    padding: 0;
    font-family: var(--font-icons) !important;
    color: var(--primary-color);
    font-size: 2.2rem;
}

ul.colored-list {
    padding-left: 0;
    margin-bottom: 2.5rem;
    list-style: none;
}

ul.colored-list li {
    position: relative;
    padding: 15px 0 15px 21px;
    margin: 0;
}

ul.colored-list li:nth-child(odd) {
    padding: 9px 0 9px 21px;
    border-radius: 4px;
    background-color: rgba(231,243,248, 0.7);
}
ul.colored-list li:nth-child(even):last-child {
    border-bottom: 2px solid rgba(231,243,248, 0.7);
}
ul.colored-list.colored-list-arrow li {
    padding-left: 32px;
}
ul.colored-list.colored-list-arrow li::before {
    content: '\e903';
    font-family: var(--font-icons) !important;
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 1.4rem;
    color: var(--primary-color);
}
:is(a, button).link-button:not(.clear-link-style) {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 12px;
    color: #FFF;
    background: var(--color-hover);
    border: 1px solid var(--color-hover);
    border-radius: 8px;
    margin-right: 10px;
    margin-bottom: 16px;
    padding: 12px 24px;
    box-sizing: border-box;
    font-family: var(--font-regular);
    font-size: 20px;
    line-height: 28px;
    text-transform: uppercase;
    text-decoration: none;
    transition: background 0.2s, border 0.2s, transform 0.125s ease;
}

:is(a, button).link-button.link-button-outlined:not(.clear-link-style) {
    color: var(--color-black);
    background: transparent;
    border-color: var(--color-black);
    letter-spacing: 4px;
    padding: 18px 36px;
}

.fcb-columns[data-elements-count="3"] .brochure-button-group .link-button.link-button-outlined:not(.clear-link-style) {
    padding: 10px 15px;
    letter-spacing: 1px;
}
.fcb-columns[data-elements-count="3"] .brochure-button-group .brochure-fullscreen-button-icon {
    width: 50px;
    height: 50px;
    font-size: 17px;
}

:is(a, button).link-button:not(.clear-link-style)[disabled] {
    filter: grayscale(1);
}

:is(a, button).link-button:not(.clear-link-style, [disabled]):is(:hover, :focus) {
    color: #FFF;
    background: var(--color-black);
    border-color: var(--color-black);
}

:is(a, button).link-button:not(.clear-link-style, [disabled]):active {
    transform: scale(0.95);
}

.color-white {
    color: white;
}
.mce-content-body .color-white, 
.mce-content-body .button.white {
    background-color: rgba(19, 63, 98, 0.88);
    background-image: repeating-linear-gradient(135deg, transparent, transparent 10px, rgba(19, 63, 98, 0.66) 10px, rgba(19, 63, 98, 0.66) 20px);
}
/* ICOMOON */

[class^="icon-"], [class*=" icon-"] {
    position: relative;
}

:is([class^="icon-"], [class*=" icon-"]) :is([class^="path"], [class*=" path"]):before {
    color: inherit;
    margin-left: 0;
}

:is([class^="icon-"], [class*=" icon-"]) :is([class^="path"], [class*=" path"]):not(:first-child):before {
    position: absolute;
    top: 0;
    left: 0;
}

/* FIX FOR ALIGNED IMAGES IN CONTENT */

.wp-caption {
    max-width: 100%;
    height: auto;
    position: relative;
    margin-bottom: 25px;
}

.wp-caption.aligncenter {
    margin-left: auto;
    margin-right: auto;
}

.wp-caption.alignleft {
    float: left;
}

.wp-caption.alignright {
    float: right;
}

.wp-caption-text,
.wp-caption-dd {
    color: white;
    background-color: rgba(57, 56, 55, 0.5);
    padding: 10px 15px;
    margin: 0;
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    text-align: right;
    font-size: 1.6rem;
}

.wp-caption.aligncenter .wp-caption-text,
.wp-caption.aligncenter .wp-caption-dd {
    text-align: center;
}

.wp-caption.alignleft .wp-caption-text,
.wp-caption.alignleft .wp-caption-dd {
    text-align: left;
}

.wp-caption.alignright .wp-caption-text,
.wp-caption.alignright .wp-caption-dd {
    text-align: right;
}



/* .wp-caption.alignright .wp-caption-text,
.wp-caption.alignleft .wp-caption-text,
.wp-caption.alignright .wp-caption-dd,
.wp-caption.alignleft .wp-caption-dd {
    margin-bottom: 0 !important;
} */



img.alignright {width: auto !important; max-width: 100%; float:right; margin:0 0 1em 1em}
img.alignleft {width: auto !important; max-width: 100%; float:left; margin:0 1em 1em 0}
img.aligncenter {width: auto !important; max-width: 100%; display: block; margin-left: auto; margin-right: auto}
a img.alignright {width: auto !important; max-width: 100%; float:right; margin:0 0 1em 1em}
a img.alignleft {width: auto !important; max-width: 100%; float:left; margin:0 1em 1em 0}
a img.aligncenter {width: auto !important; max-width: 100%; display: block; margin-left: auto; margin-right: auto}

p:has(a.zoom-effect img.aligncenter) {
    text-align: center;
}
a.zoom-effect:has(img.alignright) {
    float: right;
    margin: 0 0 1em 1em;
}
a.zoom-effect img.alignright {
    margin: 0;
}
a.zoom-effect:has(img.alignleft) {
    float: left;
    margin:0 1em 1em 0;
}
a.zoom-effect img.alignleft {
    margin: 0;
}

/*
 *
 * Set default styles
 *
 */

.opacity_60 {
    opacity: 0.6;
}

.letter-spacing-56 {
    letter-spacing: 0.56px;
}

.phone-icon {
    position: relative;
}

.phone-icon::before {
    content: '\e90d';
    font-family: var(--font-icons);
    font-size: 0.88em;
    margin-right: 20px;
}

a:has(.phone-icon) {
    color: inherit;
}

/* * {
    word-break: break-word;
} */

body#tinymce {
    margin: 10px !important;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.zoom-effect img {
    display: block;
    overflow: hidden;
}
.zoom-effect:has(img.rounded-image) {
    /* display: inline-block; */
    border-radius: 7px;
}
.zoom-effect img.rounded-image {
    border-radius: unset;
    border: unset;
}

.zoom-effect img {
    display: block;
    transition: transform .3s;
}
.zoom-effect:is(:hover, :focus) img {
    transform: scale(1.1);
}
.virtual-tour-icon {
    position: relative;
    display: inline-block;
    overflow: hidden;
    border-radius: 4px;
}
.virtual-tour-icon::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 130px;
    height: 130px;
    transform: translate(-50%, -50%);
    background: url(images/360.svg) center center/cover no-repeat;
    z-index: 1;
}
.virtual-tour-icon img {
    display: block;
    transition: transform .3s;
}
.virtual-tour-icon:is(:hover, :focus) img {
    transform: scale(1.1);
}
/*
 *
 * Text sizes
 *
 */

.ts_50 {
    font-size: min(2.8vw, 7rem);
    line-height: 1em;
}

.mce-content-body :is(.ts_50) {
    font-size: 5rem;
}

.ts_35 {
    font-size: min(2vw, 5.5rem);
    line-height: 1.25em;
}

.mce-content-body :is(.ts_35) {
    font-size: 3.5rem;
}
.ts_28 {
    font-size: 2.8rem;
    line-height: 4.2rem;
}
.ts_26 {
    font-size: 2.6rem;
    line-height: 1.307em;
    letter-spacing: 0.52px;
}

.ts_25 {
    font-size: min(1.45vw, 4.5rem);
    line-height: 1.5em;
}

.mce-content-body :is(.ts_25) {
    font-size: 2.5rem;
}

.ts_22 {
    font-size: 2.2rem;
    line-height: 1.45em;
}

.ts_19 {
    font-size: 1.9rem;
    line-height: 1.45em;
}

.ts_18 {
    font-size: 1.8rem;
    line-height: 1.5em;
}

.ts_16 {
    font-size: 1.6rem;
    line-height: 1.5em;
}

.letter-spacing {
}
/*
 *
 * Margins
 *
 */

.mt_0 {
    margin-top: 0px;
}
.mt_5 {
    margin-top: 5px;
}
.mt_10 {
    margin-top: 10px;
}
.mt_15 {
    margin-top: 15px;
}
.mt_20 {
    margin-top: 20px;
}

.mb_0 {
    margin-bottom: 0px;
}
.mb_5 {
    margin-bottom: 5px;
}
.mb_10 {
    margin-bottom: 10px;
}
.mb_15 {
    margin-bottom: 15px;
}
.mb_20 {
    margin-bottom: 20px;
}
.mb_25 {
    margin-bottom: 25px;
}
.mb_30 {
    margin-bottom: 30px;
}
.mb_52 {
    margin-bottom: 52px;
}
.mb_48 {
    margin-bottom: 48px;
}
.ml_80 {
    margin-left: 80px;
}
.ml_40 {
    margin-left: 40px;
}
.mlr_140 {
    margin-right: 140px;
    margin-left: 140px;
}
.mlr_230 {
    margin-right: 230px;
    margin-left: 230px;
}
b, strong {
    font-weight: bold;
}

.mce-content-body img {
    width: auto;
}

#tinymce .editor_ui_left img,
#tinymce .editor_ui_right img {
    max-width: 100%;
    height: auto;
}

.img50 {
    width: 50% !important;
    height: auto;
}

.img100 {
    display: block;
    height: auto;
    width: 100% !important;
}

.relative {
    position: relative;
}

/*
 *
 * Text color
 *
 */


/*
 *
 * Text transform
 *
 */

.uppercase {
    text-transform: uppercase;
}

/*
 *
 * Margin spacing
 *
 */

.remove_margin_top {
    margin-top: 0 !important;
}

.remove_margin_bottom {
    margin-bottom: 0 !important;
}

.wpview .gallery .gallery-item {
    position: relative;
}

body .show-ios.object-fallback {
    display: none;
}

/* MEDIA QUERIES */
@media (max-width: 560px) {
    button, .button {
        letter-spacing: 1px;
    }
    .button.arrow::after {
        margin-left: 10px;
    }
}
